petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASGetLevels

Gets the number of levels in a FAS, including fine and coarse grids

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetLevels(SNES snes, PetscInt *levels)

### Input Parameter

snes -the nonlinear solver context Many br

### Output parameter

levels -the number of levels Many br

Many br

### Keywords

MG, get, levels, multigrid

### See Also

SNESFASSetLevels(), PCMGGetLevels()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html